Bug 90610 - kernel BUG at page_alloc.c:122!
kernel BUG at page_alloc.c:122!
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-10 16:53 EDT by Ivo Sarak
Modified: 2015-01-04 17:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2003-05-10 16:53:51 EDT
Description of problem:
Kernel crashed with error "kernel BUG at page_alloc.c:122!".

Version-Release number of selected component (if applicable):
2.4.20-9

How reproducible:
No tried.

Steps to Reproduce:
1. Upgraded to latest official kernel;
    
Actual results:
Message at display started with:
EFLAGS: 00010202

EIP is at page_referenced [kernel] 0x227 (2.4.20-9)
eax: c3a38260 ebx: 000006e0 ecx: 6d735f74 edx: 00000001
esi: 0000000e edi: c100a6a8 ebp: 00000000 esp: dffb1f84
ds: 0068 es: 0068 ss: 0068
Process kscand/DMA (pid: 6, stackpage=dffb1000)

and some way down also 

kernel BUG at page_alloc.c:122!
invalid operand: 0000

I didn't handtype more, but this was /var/log/messages after reset:
May  6 11:07:34 ragana sshd(pam_unix)[4970]: session opened for user IS by (uid=500)
May  6 11:08:40 ragana kernel: Unable to handle kernel paging request at virtual
address 6d735fe8
May  6 11:08:40 ragana kernel:  printing eip:
May  6 11:08:40 ragana kernel: c0140dbb
May  6 11:08:40 ragana kernel: *pde = 00000000
May  6 11:08:40 ragana kernel: Oops: 0000
May  6 11:08:40 ragana kernel: 3c59x keybdev mousedev hid input ehci-hcd usbcore
ext3 jbd dpt_i2o sd_mod scsi_mod
May  6 11:08:40 ragana kernel: CPU:    0
May  6 11:08:40 ragana kernel: EIP:    0060:[<c0140dbb>]    Not tainted
May  6 11:08:40 ragana kernel: EFLAGS: 00010202
May  6 11:08:40 ragana kernel:
May  6 11:08:40 ragana kernel: EIP is at page_referenced [kernel] 0x227 (2.4.20-9)
May  6 11:08:40 ragana kernel: eax: c3a38260   ebx: 000006e0   ecx: 6d735f74
edx: 00000001
May  6 11:08:40 ragana kernel: esi: 0000000e   edi: c100a6a8   ebp: 00000000
esp: dffb1f84
May  6 11:08:40 ragana kernel: ds: 0068   es: 0068   ss: 0068
May  6 11:08:40 ragana kernel: Process kscand/DMA (pid: 6, stackpage=dffb1000)
May  6 11:08:40 ragana kernel: Stack: c9a5ea80 00000000 00000001 dffb1fb4
c100a688 c100a688 c0303c0c c02f8000
May  6 11:08:40 ragana kernel:        00000003 c0139b0e dffb0000 c0124b2c
00000001 00000003 dffb0000 c0303b00
May  6 11:08:40 ragana kernel:        dffb0000 c013a954 c0303b00 00000003
00000001 c02621a0 000009c4 c013a898
May  6 11:08:40 ragana kernel: Call Trace:   [<c0139b0e>] scan_active_list
[kernel] 0x36 (0xdffb1fa8))
May  6 11:08:40 ragana kernel: [<c0124b2c>] process_timeout [kernel] 0x0
(0xdffb1fb0))
May  6 11:08:40 ragana kernel: [<c013a954>] kscand [kernel] 0xbc (0xdffb1fc8))
May  6 11:08:40 ragana kernel: [<c013a898>] kscand [kernel] 0x0 (0xdffb1fe0))
May  6 11:08:40 ragana kernel: [<c0107389>] kernel_thread_helper [kernel] 0x5
(0xdffb1ff0))
May  6 11:08:40 ragana kernel:
May  6 11:08:40 ragana kernel:
May  6 11:08:40 ragana kernel: Code: 8b 41 74 39 41 60 0f 43 54 24 04 45 4e 89
54 24 04 0f 89 3e
May  6 11:10:14 ragana sshd(pam_unix)[4970]: session closed for user IS
May  6 11:56:41 ragana sshd(pam_unix)[5417]: session opened for user lauri by
(uid=501)
May  6 12:06:02 ragana sshd(pam_unix)[5417]: session closed for user lauri
...
May  9 16:46:04 ragana sshd(pam_unix)[12581]: session opened for user IS by
(uid=500)
May  9 17:10:00 ragana sshd(pam_unix)[12581]: session closed for user IS
May  9 19:36:54 ragana kernel:  <2>Page has mapping still set. This is a serious
situation. However if you
May  9 19:36:54 ragana kernel: are using the NVidia binary only module please
report this bug to
May  9 19:36:54 ragana kernel: NVidia and not to the linux kernel mailinglist.
May  9 19:36:54 ragana kernel: ------------[ cut here ]------------
May  9 19:36:54 ragana kernel: kernel BUG at page_alloc.c:122!
May  9 19:36:54 ragana kernel: invalid operand: 0000
May  9 19:36:54 ragana kernel: 3c59x keybdev mousedev hid input ehci-hcd usbcore
ext3 jbd dpt_i2o sd_mod scsi_mod
May  9 19:36:54 ragana kernel: CPU:    0
May  9 19:36:54 ragana kernel: EIP:    0060:[<c013b7f3>]    Not tainted
May  9 19:36:54 ragana kernel: EFLAGS: 00010286
May  9 19:36:54 ragana kernel:
May  9 19:36:54 ragana kernel: EIP is at __free_pages_ok [kernel] 0x323 (2.4.20-9)
May  9 19:36:54 ragana kernel: eax: 00000033   ebx: c1198a68   ecx: de53e000
edx: de53ff7c
May  9 19:36:54 ragana kernel: esi: dca93768   edi: 00000000   ebp: 00000000
esp: dffb3f60
May  9 19:36:54 ragana kernel: ds: 0068   es: 0068   ss: 0068
May  9 19:36:54 ragana kernel: Process kswapd (pid: 5, stackpage=dffb3000)
May  9 19:36:54 ragana kernel: Stack: c0256dc0 00000292 00000001 00000282
d33514b4 d33514b4 d33514b4 c1198a68
May  9 19:36:54 ragana kernel:        c01481ee d33514b4 c1198a68 c1198a84
000001d0 c0303fb4 c0139252 c1198a68
May  9 19:36:54 ragana kernel:        000001d0 00000001 00000032 c0303dc0
0000000d c0139f3c c0303dc0 000001d0
May  9 19:36:54 ragana kernel: Call Trace:   [<c01481ee>] try_to_free_buffers
[kernel] 0x9a (0xdffb3f80))
May  9 19:36:54 ragana kernel: [<c0139252>] launder_page [kernel] 0x3c2
(0xdffb3f98))
May  9 19:36:54 ragana kernel: [<c0139f3c>] rebalance_dirty_zone [kernel] 0x68
(0xdffb3fb4))
May  9 19:36:54 ragana kernel: [<c013a4fc>] kswapd [kernel] 0x164 (0xdffb3fd4))
May  9 19:36:54 ragana kernel: [<c013a398>] kswapd [kernel] 0x0 (0xdffb3fe4))
May  9 19:36:54 ragana kernel: [<c0107389>] kernel_thread_helper [kernel] 0x5
(0xdffb3ff0))
May  9 19:36:54 ragana kernel:
May  9 19:36:54 ragana kernel:
May  9 19:36:54 ragana kernel: Code: 0f 0b 7a 00 1b 66 25 c0 e9 1b fd ff ff 0f
0b 69 00 1b 66 25
May 10 16:42:01 ragana syslogd 1.4.1: restart.


Expected results:
No crash.

Additional info:
I also tested the box with memtest86 ver 3.0 - no errors found.
Box: Asus A7V333 , 512MB DDR PC2100 and 
[root@ragana root]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 8
model name      : AMD Athlon(TM) XP 2400+
stepping        : 1
cpu MHz         : 2002.483
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow
bogomips        : 3997.69

[root@ragana root]# lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333]
00:01.0 PCI bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333 AGP]
00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
00:09.0 USB Controller: VIA Technologies, Inc. USB (rev 50)
00:09.1 USB Controller: VIA Technologies, Inc. USB (rev 50)
00:09.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 51)
00:0c.0 PCI bridge: Distributed Processing Technology PCI Bridge (rev 02)
00:0c.1 I2O: Distributed Processing Technology SmartRAID V Controller (rev 02)
00:0f.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 64)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8233A ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc. VT82C586/B/686A/B PIPC Bus Master
IDE (rev 06)
00:11.2 USB Controller: VIA Technologies, Inc. USB (rev 23)
00:11.3 USB Controller: VIA Technologies, Inc. USB (rev 23)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 PF/PRO AGP 4x TMDS
[root@ragana root]#
Comment 1 Dov Grobgeld 2003-11-25 13:47:13 EST
I get almost the same error with the latest version of the Fedora kernel:

    Linux homebox 2.4.22-1.2115.nptl #1 Wed Oct 29 15:42:51 EST 2003
i686 i686 i386 GNU/Linux
     
    Gnu C                  3.3.2
    Gnu make               3.79.1
    util-linux             2.11y
    mount                  2.11y
    modutils               2.4.25
    e2fsprogs              1.34
    jfsutils               1.1.3
    reiserfsprogs          3.6.8
    pcmcia-cs              3.1.31
    quota-tools            3.06.
    PPP                    2.4.1
    Linux C Library        2.3.2
    Dynamic linker (ldd)   2.3.2
    Procps                 2.0.17
    Net-tools              1.60
    Kbd                    1.08
    Sh-utils               5.0
    Modules Loaded         ppp_synctty ppp_async ppp_generic slhc dmfe
es1371 ac97_codec gameport soundcore autofs ipt_REJECT iptable_filter
ip_tables floppy sg sr_mod microcode ide-scsi scsi_mod ide-cd cdrom
loop nls_iso8859-1 nls_cp437 vfat fat keybdev mousedev hid input
usb-uhci usbcore ext3 jbd

The error I got is:

Oct 20 23:38:57 homebox kernel: Unable to handle kernel paging request
at virtua
l address 48743a90
Oct 20 23:38:57 homebox kernel:  printing eip:
Oct 20 23:38:57 homebox kernel: c0143c53
Oct 20 23:38:57 homebox kernel: *pde = 00000000
Oct 20 23:38:57 homebox kernel: Oops: 0000
Oct 20 23:38:57 homebox kernel: ppp_synctty ppp_async ppp_generic slhc
es1371 ac97_codec gameport soundcore agpgart nvidia parport_pc lp
parport autofs dmfe ipt
_REJECT iptable_filter ip_tabl
Oct 20 23:38:57 homebox kernel: CPU:    0
Oct 20 23:38:57 homebox kernel: EIP:    0060:[<c0143c53>]    Tainted: P 
Oct 20 23:38:57 homebox kernel: EFLAGS: 00010212
Oct 20 23:38:57 homebox kernel: 
Oct 20 23:38:57 homebox kernel: EIP is at page_referenced [kernel]
0xe3 (2.4.20-8)
Oct 20 23:38:57 homebox kernel: eax: c2978280   ebx: 00000f66   ecx:
48743a1c   
edx: 0032f04a
Oct 20 23:38:57 homebox kernel: esi: c030cf34   edi: 20202020   ebp:
00000000   
esp: c182ff84
Oct 20 23:38:57 homebox kernel: ds: 0068   es: 0068   ss: 0068
Oct 20 23:38:57 homebox kernel: Process kscand/DMA (pid: 6,
stackpage=c182f000)
Oct 20 23:38:57 homebox kernel: Stack: c182ffa0 00000000 00000001
c182ffb4 c1000
650 c1000650 c030cf34 20202020 
Oct 20 23:38:57 homebox kernel:        00000000 c013c68e c182e000
c0125ba0 00000
001 00000000 c182e000 c030ce00 
Oct 20 23:38:57 homebox kernel:        c182e000 c013d564 c030ce00
00000000 00000
001 c026aac0 000009c4 c013d4b0 
Oct 20 23:38:57 homebox kernel: Call Trace:   [<c013c68e>]
scan_active_list [ker
nel] 0x3e (0xc182ffa8))
Oct 20 23:38:57 homebox kernel: [<c0125ba0>] process_timeout [kernel]
0x0 (0xc18
2ffb0))
Oct 20 23:38:57 homebox kernel: [<c013d564>] kscand [kernel] 0xb4
(0xc182ffc8))
Oct 20 23:38:57 homebox kernel: [<c013d4b0>] kscand [kernel] 0x0
(0xc182ffe0))
Oct 20 23:38:57 homebox kernel: [<c010742d>] kernel_thread_helper
[kernel] 0x5 (
0xc182fff0))
Oct 20 23:38:57 homebox kernel: 
Oct 20 23:38:57 homebox kernel: 
Oct 20 23:38:57 homebox kernel: Code: 8b 41 74 39 41 60 b8 01 00 00 00
0f 43 44 

This error and another kernel error:

    Nov 25 19:00:04 homebox kernel: kernel BUG at page_alloc.c:195!
    Nov 25 19:00:04 homebox kernel: invalid operand: 0000
    :

Started happening after I connected to ADSL at home. I thought it
might be connected.
Comment 2 Arjan van de Ven 2003-11-25 13:49:03 EST
 Dov Grobgeld:
you have an entirely different bug, one that is described in bug 73733
Comment 3 Dov Grobgeld 2003-11-25 14:22:56 EST
This is strange as I am no longer using the "nvidia" driver but the
open source "nv" driver. I erased the old nvidia.o module now, and
will see if it still occurs. In any case, I will continue tracking
this bug together with my second related one at bug 110941.
Comment 4 Josiah Royse 2004-02-08 21:10:26 EST
I plan on running a memtestx86 on the machine later.
-----------------------------------------------
[root@t-rex /]# free
             total       used       free     shared    buffers     cached
Mem:        126376      92808      33568          0      10176      61224
-/+ buffers/cache:      21408     104968
Swap:       258040          0     258040
------------------------------------------------
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 5
model           : 9
model name      : AMD-K6(tm) 3D+ Processor
stepping        : 1
cpu MHz         : 400.918
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr mce cx8 pge mmx syscall 3dnow
k6_mtrr
bogomips        : 799.53
-----------------------------------------------------
Feb  8 16:59:27 t-rex kernel: ------------[ cut here ]------------
Feb  8 16:59:27 t-rex kernel: kernel BUG at page_alloc.c:122!
Feb  8 16:59:27 t-rex kernel: invalid operand: 0000
Feb  8 16:59:27 t-rex kernel: parport_pc lp parport nfsd lockd sunrpc
tulip loop lvm-mod ext3 jbd raid1 raid0
Feb  8 16:59:27 t-rex kernel: CPU:    0
Feb  8 16:59:27 t-rex kernel: EIP:    0060:[__free_pages_ok+810/848] 
  Not tainted
Feb  8 16:59:27 t-rex kernel: EIP:    0060:[<c01390fa>]    Not tainted
Feb  8 16:59:27 t-rex kernel: EFLAGS: 00010286
Feb  8 16:59:27 t-rex kernel:
Feb  8 16:59:27 t-rex kernel: EIP is at __free_pages_ok [kernel] 0x32a
(2.4.20-28.9)
Feb  8 16:59:27 t-rex kernel: eax: 00000033   ebx: c1197128   ecx:
00000001   edx: c7b36000
Feb  8 16:59:27 t-rex kernel: esi: c119710c   edi: 00000000   ebp:
c02efa34   esp: c152ff58
Feb  8 16:59:27 t-rex kernel: ds: 0068   es: 0068   ss: 0068
Feb  8 16:59:27 t-rex kernel: Process kswapd (pid: 5, stackpage=c152f000)
Feb  8 16:59:27 t-rex kernel: Stack: c02424c0 c0242460 c0242400
00000286 00000001 00000286 c7ce8a84 c7ce8a84
Feb  8 16:59:27 t-rex kernel:        c7ce8a84 c119710c c0144143
c1197128 c119710c 000001d0 c02efa34 c0136963
Feb  8 16:59:27 t-rex kernel:        c119710c 000001d0 01040008
00000001 0000000e c02ef860 00000031 c0137844
Feb  8 16:59:27 t-rex kernel: Call Trace:  
[try_to_free_buffers+131/224] try_to_free_buffers [kernel] 0x83
(0xc152ff80))
Feb  8 16:59:27 t-rex kernel: Call Trace:   [<c0144143>]
try_to_free_buffers [kernel] 0x83 (0xc152ff80))
Feb  8 16:59:27 t-rex kernel: [launder_page+1395/1552] launder_page
[kernel] 0x573 (0xc152ff94))
Feb  8 16:59:27 t-rex kernel: [<c0136963>] launder_page [kernel] 0x573
(0xc152ff94))
Feb  8 16:59:27 t-rex kernel: [rebalance_dirty_zone+84/144]
rebalance_dirty_zone [kernel] 0x54 (0xc152ffb4))
Feb  8 16:59:27 t-rex kernel: [<c0137844>] rebalance_dirty_zone
[kernel] 0x54 (0xc152ffb4))
Feb  8 16:59:27 t-rex kernel: [kswapd+317/448] kswapd [kernel] 0x13d
(0xc152ffd4))
Feb  8 16:59:27 t-rex kernel: [<c0137dad>] kswapd [kernel] 0x13d
(0xc152ffd4))
Feb  8 16:59:27 t-rex kernel: [kswapd+0/448] kswapd [kernel] 0x0
(0xc152ffe4))
Feb  8 16:59:27 t-rex kernel: [<c0137c70>] kswapd [kernel] 0x0
(0xc152ffe4))
Feb  8 16:59:27 t-rex kernel: [kernel_thread_helper+5/24]
kernel_thread_helper [kernel] 0x5 (0xc152fff0))
Feb  8 16:59:27 t-rex kernel: [<c01072ad>] kernel_thread_helper
[kernel] 0x5 (0xc152fff0))
Feb  8 16:59:27 t-rex kernel:
Feb  8 16:59:27 t-rex kernel:
Feb  8 16:59:27 t-rex kernel: Code: 0f 0b 7a 00 08 1d 24 c0 83 c4 0c
e9 11 fd ff ff 0f 0b 69 00
Comment 5 Dave Jones 2004-02-09 08:38:11 EST
This should be fixed in the latest errata kernel.
Comment 6 Josiah Royse 2004-02-09 09:17:00 EST
The system is on kernel-2.4.20-28.9, which is up2date at this moment.
 Are you saying there is an errata kernel in the works for RH9? Thanks.
Comment 7 Dave Jones 2004-02-10 09:52:09 EST
Josiah, no, your bug is different to the one originally filed in this
report. My previous comment was in regard to the first bug.
Comment 8 Dave Jones 2004-02-10 09:53:43 EST
hmm, looking more closely, the 2nd oops in the original bug and yours
are very similar. I'll look into it.
Comment 9 Josiah Royse 2004-02-18 08:47:53 EST
I removed half the RAM in the machine since I wasn't able to run
memtestx86 on the machine- and it hasn't crashed since.  I'll post any
errors I may get later, but my above post #4 seems to be hardware
related at the moment.  Thanks.
Comment 10 Need Real Name 2004-02-22 16:32:56 EST
I ran into the original bug as shown below yesterday on
kernel-bigmem#2.4.20-28.9. One recommendation from the vendor (Penguin
Computing) was to be up-to-date on firmware, which I have just now
done. I have also moved up to 2.4.20-30.9, but that's just a security
fix...

Here's my report:

------------[ cut here ]------------
kernel BUG at page_alloc.c:122!
invalid operand: 0000
libafs-2.4.20-28.9-i686.bm binfmt_misc autofs e100 ipt_REJECT
iptable_filter ip_tables loop lvm-mod ext3 jbd megaraid aic7xxx sd_mod
scsi_mod
CPU:    2
EIP:    0060:[<c014a2e0>]    Tainted: PF
EFLAGS: 00010282
 
EIP is at __free_pages_ok [kernel] 0x360 (2.4.20-28.9bigmem)
eax: 00000033   ebx: c2643c6c   ecx: 00000001   edx: c0341eac
esi: 00000000   edi: 00000000   ebp: 00000000   esp: de5bfe14
ds: 0068   es: 0068   ss: 0068
Process xemacs^@(pid:013532, stackpage=de5bf000)
Stack: c0288300 fffdaa38 c013a2bf fffdaa38 ef399d6c ef399d00 de089600
c3038f88
       de5be000 000000e3 00000003 c2643c6c 08148000 000000e3 c0137112
c2643c6c
       00000003 000000e3 c0137b0c eeB066800e7a6f200 08000000 00100000
00000ce8
Call Trace:   [<c013a2bf>] zap_pte_range [kernel] 0x14F (0xdu5bfe1c))
[<c0137112>] __free_pte [kernel] 0x52 (0xde5bfe4c))
[<c0137b^Pc>] zqp_page_range [kernel] 0x1cc (0xde5bfe5c))
[<c013bbc0>] exit_mmap [kernel] 0xd0 (0xde5bfea8))
[<c0120c51>] mmput [kernel] 0x61 (0xde5bfecc))
[<c0126ff5>] do_exit [kernel] 0x135 (0xde5bfedc))
[<c013022b>] get_signal_to_deliver [kernel] 0x21b (0xde5bfef8))
[<c0109624>] do_signal [kernel] 0x64 (0xde5bff20))
[<c0130897>] sys_kill [kernel] 0x57 (0xde5bff30))
[<c0197b3e>] tty_write [kernel] 0x14e (0xde5bff6c))
[<c019c2d0>] write_chan [kernel] 0x0 (0xde5bff70))
[<c0154059>] sys_write [kernel] 0x109 (0xde5bff94))
[<c01098f8>] signal_return [kernel] 0x14 (0xde5bffc0))
 
 
Code: 0f 0b 7a 00 da 7a 28 c0 e9 ec fc ff ff 0f 0b 69 00 da 7a 28
Comment 11 Nimit 2004-03-09 23:58:41 EST
Even though the nvidia driver module is not loaded still there is
frequent kernel crash with this message:

kernel BUG at page_alloc.c:122!
invalid operand: 0000
autofs e100 iptable_filter ip_tables keybdev mousedev hid input
usb-uhci ehci-hcd usbcore ext3 jbd raid1 aic7xxx sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c0148bf7>]    Not tainted
EFLAGS: 00010286

EIP is at __free_pages_ok [kernel] 0x357 (2.4.20-8smp)
eax: 00000033   ebx: c1393f90   ecx: 00000001   edx: f70b4000
esi: d08399b4   edi: 00000000   ebp: 00000000   esp: e569be0c
ds: 0068   es: 0068   ss: 0068
Process imapd (pid: 25766, stackpage=e569b000)
Stack: c0283ac0 39214025 080b1000 ffffffff 00000043 080b1000 c0139500
fffee3e4
       08041000 fffee224 c1393f90 00000044 080fb000 00000044 c013692c
c1393f90
       00000025 c01371a5 defa4180 f40b5080 08000000 000b3000 08448000
e569a000
Call Trace:   [<c0139500>] zap_pte_range [kernel] 0x160 (0xe569be24))
[<c013692c>] __free_pte [kernel] 0x4c (0xe569be44))
[<c01371a5>] zap_page_range [kernel] 0x1a5 (0xe569be50))
[<c013ad90>] exit_mmap [kernel] 0xd0 (0xe569be94))
[<c0120692>] mmput [kernel] 0x62 (0xe569beb8))
[<c0126996>] do_exit [kernel] 0x136 (0xe569bec8))
[<c0126d1b>] do_group_exit [kernel] 0x8b (0xe569bee4))
[<c012fabe>] get_signal_to_deliver [kernel] 0x1de (0xe569bef8))
[<c0109634>] do_signal [kernel] 0x64 (0xe569bf20))
[<c012eb5a>] specific_send_sig_info [kernel] 0x11a (0xe569bf68))
[<c010a400>] do_general_protection [kernel] 0x0 (0xe569bfa0))
[<c012f2bf>] force_sig [kernel] 0x1f (0xe569bfa8))
[<c010a400>] do_general_protection [kernel] 0x0 (0xe569bfbc))
[<c0109908>] signal_return [kernel] 0x14 (0xe569bfc0))


Code: 0f 0b 7a 00 ad 32 28 c0 e9 f5 fc ff ff 0f 0b 69 00 ad 32 28

Additional Info:

lspci(output)

00:00.0 Host bridge: Intel Corp.: Unknown device 2578 (rev 02)
00:01.0 PCI bridge: Intel Corp.: Unknown device 2579 (rev 02)
00:03.0 PCI bridge: Intel Corp.: Unknown device 257b (rev 02)
00:1d.0 USB Controller: Intel Corp. 82801EB USB (Hub #1) (rev 02)
00:1d.1 USB Controller: Intel Corp. 82801EB USB (Hub #2) (rev 02)
00:1d.2 USB Controller: Intel Corp. 82801EB USB (Hub #3) (rev 02)
00:1d.3 USB Controller: Intel Corp. 82801EB USB EHCI Controller #2
(rev 02)
00:1d.7 USB Controller: Intel Corp. 82801EB USB EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corp. 82801EB ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corp. 82801EB ICH5 IDE (rev 02)
00:1f.2 IDE interface: Intel Corp.: Unknown device 24d1 (rev 02)
00:1f.3 SMBus: Intel Corp. 82801EB SMBus (rev 02)
02:01.0 Ethernet controller: Intel Corp.: Unknown device 1019
03:00.0 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m
(rev 01)
03:00.1 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m
(rev 01)
03:06.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
03:08.0 Ethernet controller: Intel Corp. 82801EB (ICH5) PRO/100 VE
Ethernet Controller (rev 01)

Cpu: Pentium4 2.60GHz


Comment 12 Plum 2004-04-08 10:30:20 EDT
I have this issue too :

------------[ cut here ]------------
kernel BUG at page_alloc.c:122!
invalid operand: 0000
ide-cd cdrom mousedev input agpgart nvidia parport_pc lp parport 
iptable_filter
ip_tables autofs natsemi sb sb_lib uart401 sound soundcore ext3 jbd
CPU:    0
EIP:    0060:[<c013ed13>]    Tainted: P
EFLAGS: 00013282

EIP is at __free_pages_ok [kernel] 0x333 (2.4.20-30.9)
eax: 00000033   ebx: c13ae390   ecx: 00000001   edx: f7b06000
esi: d44a79a8   edi: 00000000   ebp: 00000000   esp: f2705df0
ds: 0068   es: 0068   ss: 0068
Process X (pid: 1522, stackpage=f2705000)
Stack: c0262500 00000002 c0311044 c164e400 c0310d80 c1038030 c0310fcc 
d44a79a8
       dcfbba04 00100000 c13ae390 dcfbba04 00100000 10d34067 c012edfc 
c13ae390
       00093000 c0131467 f26f9200 08893000 dcfbba04 c01199a3 00000094 
08c00000
Call Trace:   [<c012edfc>] __free_pte [kernel] 0x4c (0xf2705e28))
[<c0131467>] zap_pte_range [kernel] 0x137 (0xf2705e34))
[<c01199a3>] sys_sched_yield [kernel] 0x73 (0xf2705e44))
[<c012f46b>] zap_page_range [kernel] 0xcb (0xf2705e5c))
[<c01329ff>] exit_mmap [kernel] 0xaf (0xf2705e9c))
[<c011a42a>] mmput [kernel] 0x4a (0xf2705ec0))
[<c011f911>] do_exit [kernel] 0xf1 (0xf2705ed0))
[<c011fbb4>] do_group_exit [kernel] 0x54 (0xf2705eec))
[<c0127b85>] get_signal_to_deliver [kernel] 0x195 (0xf2705efc))
[<c01092f4>] do_signal [kernel] 0x64 (0xf2705f20))
[<c0148695>] fput [kernel] 0xd5 (0xf2705f80))
[<c0127d68>] sys_rt_sigprocmask [kernel] 0xc8 (0xf2705f94))
[<c0109578>] signal_return [kernel] 0x14 (0xf2705fc0))


Code: 0f 0b 7a 00 37 1d 26 c0 e9 0b fd ff ff 0f 0b 69 00 37 1d 26

Comment 13 Bugzilla owner 2004-09-30 11:40:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.